---
version: '1.1'
var:  # A suffix variable
  - val1
  - val2
"dyn{{ suffix }}":
  description: A dynamic family
  dynamic:
    variable: _.var
  var:
    description: A dynamic variable
    multi: true
    default:
      jinja: |
        {% for val in __.var %}
        t{{ val }}
        {% endfor %}
      description: add 't' to each var value
  "dyn_{{ suffix }}":
    description: a Second dynamic variable
    dynamic:
      variable: "rougail.dyn{{ suffix }}.var"
    var:
      description: A variable dynamic
      default:
        type: suffix
    var_suffix:
      description: suffix from first family
      default:
        type: suffix
        suffix: 0
    var_suffixes:
      description: merge suffixes
      default:
        jinja: |
          {{ s1 }}-{{ s2 }}
        params:
          s1:
            type: suffix
            suffix: 0
          s2:
            type: suffix
            suffix: 1
        description: join suffix 1 et suffix 2
